#include "extern.h"
#include <ctype.h>

unsigned long sHASH(const unsigned char *name);
unsigned long iHASH(const unsigned char *name);
List<aClient> players[U_TABLE_SIZE];

unsigned long sHASH(const unsigned char *name)
{
  unsigned long h = 0, g;

  while (*name)
  {
    h = (h << 4) + (*name++); // Case sensitive for numerics
    if ((g = (h & 0xF0000000)))
      h ^= g >> 24;
    h &= ~g;
  }
  return h % U_TABLE_SIZE;
}

unsigned long iHASH(const unsigned char *name)
{
  unsigned long h = 0, g;

  while (*name)
  {
    h = (h << 4) + tolower(*name++);
    if ((g = (h & 0xF0000000)))
      h ^= g >> 24;
    h &= ~g;
  }
  return h % U_TABLE_SIZE;
}


